СоздатьНовыйФайл = мир =>
{
    (async() => {
        try
        {
            await мир.фс.promises.writeFile(мир.новыйФайл, "");
            мир.уведомить("создали новый файл");
        }
        catch (ошибка)
        {
            мир.ошибкаОперацииФС = ошибка.code;
            мир.уведомить("ошибка операции файловой системы");
        }
    })();
};


// // // //


СоздатьНовуюДиректорию = мир =>
{
    (async() => {
        try
        {
            await мир.фс.promises.mkdir(мир.новаяДиректория);
            мир.уведомить("создали новую директорию");
        }
        catch (ошибка)
        {
            мир.ошибкаОперацииФС = ошибка.code;
            мир.уведомить("ошибка операции файловой системы");
        }
    })();
};


// // // //


ПолучитьСвойстваФайловДиректории = мир =>
{
    const список = мир.списокФайловДиректории;

    (async() => {
        try
        {
            var свойства = [];
            for (var н in список)
            {
                const имя = список[н];
                const путь = мир.директория + имя;
                const свойство = await мир.фс.promises.stat(путь);
                свойства.push(свойство);
            }
            мир.свойстваФайловДиректории = свойства;
            мир.уведомить("получили свойства файлов директории");
        }
        catch (ошибка)
        {
            мир.ошибкаОперацииФС = ошибка.code;
            мир.уведомить("ошибка операции файловой системы");
        }
    })();
};


// // // //


ПолучитьСписокФайловДиректории = мир =>
{
    (async() => {
        try
        {
            const список = await мир.фс.promises.readdir(мир.директория);
            мир.списокФайловДиректории = список;
            мир.уведомить("получили список файлов директории");
        }
        catch (ошибка)
        {
            мир.ошибкаОперацииФС = ошибка.code;
            мир.уведомить("ошибка операции файловой системы");
        }
    })();
};


// // // //


ЗадатьДиректориюКорнем = мир =>
{
    мир.директория = "/";
    мир.уведомить("изменили директорию");
};


// // // //


СоздатьФайловуюСистему = мир =>
{
    мир.фс = new LightningFS("AMYP");
};