

// // // //


ПерейтиВВыбраннуюЧастьДиректории = мир =>
{
    const номер = мир.номерВыбраннойЧастиДиректории;
    const части = мир.частиДиректории.slice(0, номер + 1);
    мир.директория = части.join("/") + "/";
    мир.уведомить("изменили директорию");
};


// // // //


РазбитьДиректориюНаЧасти = мир =>
{
    var части = мир.директория.split(/\//);
    // Убираем последнюю пустую строку.
    части.pop();
    мир.частиДиректории = части;
    мир.уведомить("изменили части директории");
};


// // // //


ОтобразитьСписокФайловТекущейДиректории = мир =>
{
    var список = [];
    const файлы = мир.списокФайловДиректории;
    const свойства = мир.свойстваФайловДиректории;
    for (var н in файлы)
    {
        const свойство = свойства[н];
        const окончание = свойство.isDirectory() ? "/" : "";
        const файл = файлы[н] + окончание;
        список.push(файл);
    }
    мир.списокФайлов = список;
    мир.уведомить("изменили список файлов");
};


// // // //


УглубитьсяВВыбраннуюДиректорию = мир =>
{
    const номер = мир.номерВыбранногоФайла;
    const директория = мир.списокФайловДиректории[номер];
    мир.директория = мир.директория + директория + "/";
    мир.уведомить("изменили директорию");
};


// // // //


ОпределитьТипВыбранногоФайла = мир =>
{
    const номер = мир.номерВыбранногоФайла;
    const свойство = мир.свойстваФайловДиректории[номер];
    if (свойство.isDirectory())
    {
        мир.уведомить("тип выбранного файла директория");
    }
    else
    {
        мир.уведомить("тип выбранного файла файл");
    }
};


// // // //


ЗапуститьБиблиотеки = мир =>
{
    мир.уведомить("ручной пуск");
};